'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _chanjetPluginBase = require('chanjet-plugin-base');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 读取短信API基类
 * @author TonyJiang
 */
var AlertPlugin = function (_Plugin) {
  _inherits(AlertPlugin, _Plugin);

  function AlertPlugin() {
    _classCallCheck(this, AlertPlugin);

    var _this = _possibleConstructorReturn(this, (AlertPlugin.__proto__ || Object.getPrototypeOf(AlertPlugin)).call(this));

    _this.id = 'AlertPlugin';
    return _this;
  }

  /**
   * 读取短信接口
   * @param options
   *      @property {TimeStamp} options.startDate 读取开始时间
   *      @property {TimeStamp} options.endDate   读取结束时间
   *      @property {String} options.address 手机号码
   *      @property {String} options.protocol 短信协议 "sms":SMS_PROTO , "mms":MMS_PROTO
   *      @property {String} options.read  是否已读  "unread":未读 , "read":已读
   *      @property {String} options.type  发送类型   "receive": 收到的短信 , "send" 发出的短信
   * @param callback
   */


  _createClass(AlertPlugin, [{
    key: 'read',
    value: function read(options, callback) {}
  }]);

  return AlertPlugin;
}(_chanjetPluginBase.Plugin);

exports.default = AlertPlugin;