/**
 * Created by tonyjiang on 16/3/14.
 */
import AlertPlugin from '../interface'
import {ChanjetDecorator} from 'chanjet-plugin-base'
import env from 'chanjet-env-check'


//window.execMutantsCallback = function(){}

/**
 * Alert插件,chanjet实现类
 * @extends PluginChanjet,SMSPlugin
 */

@ChanjetDecorator
class AlertPluginChanjet extends AlertPlugin{

    constructor(){
        super();

        this.pluginName = 'Dialog';
        this.methodName = {
            show : 'show'
        };
    }

    /**
     * 显示dialog
     * @param options
     *      @property options.message {String} 提示内容
     *      @property options.buttons {Array}   按钮集合
     *          @property options.buttons.title  按钮名称
     *          @property options.buttons.onClick 点击按钮触发的事件
     * @param callback
     */
    show(options , callback){
        const args = [options];

        cordova.exec(
            function(idx) {
                if(idx === -1){
                    //_this.handleClose();
                }else{
                    options.buttons[idx].onClick();
                }

            },
            function () {},
            this.pluginName, this.methodName.show , args
        );
    }



}

export default AlertPluginChanjet