
import {Plugin} from 'chanjet-plugin-base';


/**
 * 读取短信API基类
 * @author TonyJiang
 */
class AlertPlugin extends Plugin{

    constructor(){
        super();

        this.id = 'AlertPlugin';
    }

    /**
     * 读取短信接口
     * @param options
     *      @property {TimeStamp} options.startDate 读取开始时间
     *      @property {TimeStamp} options.endDate   读取结束时间
     *      @property {String} options.address 手机号码
     *      @property {String} options.protocol 短信协议 "sms":SMS_PROTO , "mms":MMS_PROTO
     *      @property {String} options.read  是否已读  "unread":未读 , "read":已读
     *      @property {String} options.type  发送类型   "receive": 收到的短信 , "send" 发出的短信
     * @param callback
     */
    read(options , callback){}
}

export default AlertPlugin