# 本地弹出框API  `chanjet-plugin-alert`

在mutants框架中,  提供本地弹出框的api , 只在chanjet平台上可用, 微信不提供此功能.

**不能脱离mutants框架单独使用.**



## 获取实例

```javascript
//通过mutants来获取插件实例
const plugin = mutants.plugin.alert;
```





## API

1. #### show 弹出对话框
   ##### 参数

   - options `Object` 设置选项
     - message `string` 弹出框提示内容
     - buttons `array` 底部要显示的按钮集合
     - `选填` {title:"", onClick: function}  左侧第一个按钮
     - `选填` {title:"", onClick: function}  中间按钮
     - `选填` {title:"", onClick: function}  右侧第一个按钮

buttons数组可以配置一项,两项,三项, 分别对应一个按钮, 两个按钮, 三个按钮。

## 用法

``` javascript

window.mutants.plugin.alert.show(
                {
                    message: "tttt",
                    buttons: [
                        {title: "aaa", onClick: function () {
                            alert('test click');
                        }},
                        {title: "bbb", onClick: function () {
                            alert('b click');
                        }},
                        {title: "ccc", onClick: ::this.fn1}
                    ]
                }
            )


```




