'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class; /**
             * Created by tonyjiang on 16/3/14.
             */


var _interface = require('../interface');

var _interface2 = _interopRequireDefault(_interface);

var _chanjetPluginBase = require('chanjet-plugin-base');

var _chanjetEnvCheck = require('chanjet-env-check');

var _chanjetEnvCheck2 = _interopRequireDefault(_chanjetEnvCheck);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

//window.execMutantsCallback = function(){}

/**
 * Alert插件,chanjet实现类
 * @extends PluginChanjet,SMSPlugin
 */

var AlertPluginChanjet = (0, _chanjetPluginBase.ChanjetDecorator)(_class = function (_AlertPlugin) {
    _inherits(AlertPluginChanjet, _AlertPlugin);

    function AlertPluginChanjet() {
        _classCallCheck(this, AlertPluginChanjet);

        var _this = _possibleConstructorReturn(this, (AlertPluginChanjet.__proto__ || Object.getPrototypeOf(AlertPluginChanjet)).call(this));

        _this.pluginName = 'Dialog';
        _this.methodName = {
            show: 'show'
        };
        return _this;
    }

    /**
     * 显示dialog
     * @param options
     *      @property options.message {String} 提示内容
     *      @property options.buttons {Array}   按钮集合
     *          @property options.buttons.title  按钮名称
     *          @property options.buttons.onClick 点击按钮触发的事件
     * @param callback
     */


    _createClass(AlertPluginChanjet, [{
        key: 'show',
        value: function show(options, callback) {
            var args = [options];

            cordova.exec(function (idx) {
                if (idx === -1) {
                    //_this.handleClose();
                } else {
                    options.buttons[idx].onClick();
                }
            }, function () {}, this.pluginName, this.methodName.show, args);
        }
    }]);

    return AlertPluginChanjet;
}(_interface2.default)) || _class;

exports.default = AlertPluginChanjet;